
QGIS Application - Bug report #11817

Grid decoration meaningless with rotated map

2014-12-09 04:19 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Decorations

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20040

Description

When map is rotated the grid decoration is still vertical and horizontal lines but irregular.

I guess it should be rotated as well instead.

Related issues:

Related to QGIS Application - Bug report # 11826: North arrow decoration does... Closed 2014-12-09

Related to QGIS Application - Bug report # 11815: Feature highlight from Iden... Closed 2014-12-09

Related to QGIS Application - Bug report # 11811: rotation regression: zoom t... Closed 2014-12-08

Related to QGIS Application - Bug report # 11818: North arrow decoration does... Closed 2014-12-09

History

#1 - 2015-01-14 09:56 AM - Sandro Santilli

- % Done changed from 0 to 20

I've made first steps to fix grid rotation but could not finish yet.

For help please refer to https://github.com/qgis/QGIS/pull/1832

#2 - 2015-01-15 06:38 AM - Sandro Santilli

- Resolution set to fixed/implemented

- % Done changed from 20 to 100

- Status changed from Open to Closed

Fixed with commit 0c767ad
